LibreOffice: XSheetOperation Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XSheetOperation Interface Referencepublished

provides methods to execute operations on a cell range or ranges. More...

`import "XSheetOperation.idl";`

Inheritance diagram for XSheetOperation:

## Public Member Functions
double | computeFunction ([in] com::sun::star::sheet::GeneralFunction nFunction) raises ( com::sun::star::uno::Exception )
| computes a general function based on all cells in the current cell range(s), excluding values from filtered and hidden rows and hidden columns as done for the status bar.
void | clearContents ([in] long nContentFlags)
| unnecessary
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides methods to execute operations on a cell range or ranges.

See also
  com::sun::star::sheet::SheetCellRange
  com::sun::star::sheet::SheetCellRanges

Developers Guide
  Spreadsheet Documents - Operations

## Member Function Documentation

## ◆ clearContents()

void clearContents | ( | [in] long | nContentFlags | ) |

unnecessary

clears the specified contents of the current cell range(s).

Parameters

  nContentFlags | a combination of CellFlags flags selecting the contents to be deleted.

## ◆ computeFunction()

double computeFunction | ( | [in] com::sun::star::sheet::GeneralFunction | nFunction | ) |
raises | ( | com::sun::star::uno::Exception ) |  |  |

computes a general function based on all cells in the current cell range(s), excluding values from filtered and hidden rows and hidden columns as done for the status bar.

Parameters

  nFunction | is the function used to compute the result.

Returns
  the result of the calculation.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSheetOperation.idl